%define dataversion 0.2.0

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	PDF rendering library
Name: 		poppler
Version: 	0.8.6
Release: 	1
URL:		http://poppler.freedesktop.org/
License: 	GNU/GPL
Group: 		Development/Libraries
Source0: 	%{name}-%{version}.tar.gz
Source1: 	%{name}-data-%{dataversion}.tar.gz
Patch0: 	poppler-ObjStream.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	gtk2+-devel
BuildRequires: 	cairo-devel
BuildRequires:	qt-devel
BuildRequires:	qt4-devel
Buildrequires:	zlib-devel

Requires: 	gtk2+

# Require for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1

%description
Poppler, a PDF rendering library, it's a fork of the xpdf PDF
viewer developed by Derek Noonburg of Glyph and Cog, LLC.

%package	devel
Summary: 	Libraries and headers for poppler
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Poppler, a PDF rendering library, it's a fork of the xpdf PDF
viewer developed by Derek Noonburg of Glyph and Cog, LLC.

You should install the poppler-devel package if you would like to
compile applications based on poppler.

%package	glib
Summary: 	Glib wrapper for poppler
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	glib
%{summary}.

%package	glib-devel
Summary: 	Development files for glib wrapper
Group: 		Development/Libraries
Requires: 	%{name}-glib = %{version}-%{release}
Requires: 	%{name}-devel = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	gtk-doc

%description	glib-devel
%{summary}.

%package	qt
Summary: 	Qt wrapper for poppler
Group:   	System/Libraries
Requires:	%{name} = %{version}-%{release}
%description	qt
%{summary}.

%package	qt-devel
Summary: 	Development files for Qt wrapper
Group:   	Development/Libraries
Requires: 	%{name}-qt = %{version}-%{release}
Requires: 	%{name}-devel = %{version}-%{release}
Requires: 	qt-devel
%description	qt-devel
%{summary}.

%package	qt4
Summary: 	Qt4 wrapper for poppler
Group:   	System/Libraries
Requires: 	%{name} = %{version}-%{release}
%description	qt4
%{summary}.

%package	qt4-devel
Summary:	Development files for Qt4 wrapper
Group:   	Development/Libraries
Requires: 	%{name}-qt4 = %{version}-%{release}
Requires: 	%{name}-devel = %{version}-%{release}
Requires: 	qt4-devel
%description	qt4-devel
%{summary}.

%package	utils
Summary: 	Command line utilities for converting PDF files.
Group: 		Text Tools
Requires: 	%{name} = %{version}-%{release}

%description	utils
Poppler, a PDF rendering library, it's a fork of the xpdf PDF
viewer developed by Derek Noonburg of Glyph and Cog, LLC.

This utils package installs a number of command line tools for
converting PDF files to a number of other formats.

%prep
%setup -c -q -a1
#%patch0 -p1 -b .objstream

%build
pushd %{name}-%{version}
%configure \
--disable-static \
--enable-cairo-output \
--enable-xpdf-headers \
--enable-poppler-qt4 \
--enable-zlib 
make %{?_smp_mflags}
popd

pushd poppler-data-%{dataversion}
cp COPYING COPYING-poppler-data
cp README README-poppler-data
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C %{name}-%{version} DESTDIR=$RPM_BUILD_ROOT install
make -C %{name}-data-%{dataversion} \
	DESTDIR=$RPM_BUILD_ROOT datadir=%{_datadir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/README
%doc %{name}-%{version}/COPYING
#%doc poppler-data-%{dataversion}/README-poppler-data
#%doc poppler-data-%{dataversion}/COPYING-poppler-data
%{_libdir}/libpoppler.so.*
%{_datadir}/poppler/

%files devel
%defattr(-,root,root,-)
#%exclude %{_libdir}/pkgconfig/poppler-qt.pc
%{_libdir}/pkgconfig/poppler.pc
%{_libdir}/pkgconfig/poppler-splash.pc
%{_libdir}/libpoppler.so
%{_libdir}/libpoppler.la
%{_includedir}/poppler/
%{_datadir}/gtk-doc/html/poppler

%files glib
%defattr(-,root,root,-)
%{_libdir}/libpoppler-glib.so.*

%files glib-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/poppler-glib.pc
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/libpoppler-glib.so
%{_libdir}/libpoppler-glib.la
%{_datadir}/gtk-doc/html/poppler

#%files qt
#%defattr(-,root,root,-)
#%{_libdir}/libpoppler-qt.so.*

#%files qt-devel
#%defattr(-,root,root,-)
#%{_libdir}/libpoppler-qt.so
#%{_libdir}/libpoppler-qt.la
#%{_libdir}/pkgconfig/poppler-qt.pc
#%{_includedir}/poppler/qt3/

%files qt4
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt4.so.*

%files qt4-devel
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt4.so
%{_libdir}/libpoppler-qt4.la
%{_libdir}/pkgconfig/poppler-qt4.pc
%{_includedir}/poppler/qt4/

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Aug 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6-1
- Version update
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.5-1
- Version update
- dropped qt3 support
* Tue Jul 14 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.4-1
- Version update
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 0.8.3-1
- Version update, enabled poppler-qt4
* Tue May 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.8.2-2
- added objstream patch
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.2-1
- Version update
* Sun Apr 28 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.1-1
- Version update
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.4-1
- Version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.3-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.6.2-2
- data update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.6.2-1
- Version update, changed utils package group
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 0.6-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.4-1
- Version update
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.3-2
- added xpdf-headers
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.3-1
- Version update
* Mon Mar 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.1-1
- Version Update
* Mon Mar 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.4.5-1
- Initial Release
